PIDOF(1)

NOME
pidof -- localiza o ID do processo de um programa em execução

SINOPSE
pidof [-s] [-c] [-q] [-w] [-x] [-o pid[,pid...]...] [-S separador] programa [programa...]

DESCRIÇÃO
Pidof localiza os IDs de processo (pids) dos programas definidos. Ele emite aqueles IDs na saída padrão (stdout).

OPÇÕES

-s  Single shot - isso instrui o programa a só retornar um pid.

-c  Retorna apenas IDs de processo que estão em execução com o mesmo diretório raiz. Essa opção é ignorada para usuários não-root, pois eles não poderão verificar o diretório raiz atual dos processos que não pertencerem a eles.

-q  Modo silencioso, suprime qualquer saída e apenas define o status de saída de acordo.

-w  Mostra também processos que não têm linha de comando visível (por exemplo, threads de workers do kernel).

-x  Scripts também -- isso faz com que o programa também retorne IDs de processo de shells executando os referidos scripts.

-o pid
    Fala para o pidof para omitir processos com aquele ID de processo. O pid especial %PPID pode ser usado para nomear o processo pai do programa pidof, isto é, o shell que chamou ou script do shell.

-S separador
    Use separador como um separador colocado entre pids. Usado apenas quando mais de um pids são impressos para o programa. A opção -d é um alias para esta opção para compatibilidade com pidof do sysvinit.

STATUS DE SAÍDA

0   Ao menos um programa foi localizado com o nome requisitado.

1   Nenhum programa foi localizado com o nome requisitado.

ERROS
Ao usar a opção -x, pidof possui apenas um método simples para detectar scripts e perderá scripts que, por exemplo, usem env. Essa limitação se deve à aparência dos scripts no sistema de arquivos proc.

VEJA TAMBÉM
pgrep(1), pkill(1)

AUTOR
Jaromir Capik <jcapik@redhat.com>